<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.TyXzzyxxDao" >
  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.TyXzzyxxDO" >
    <id column="XZZYID" property="xzzyid" jdbcType="VARCHAR" />
    <result column="FABH" property="fabh" jdbcType="VARCHAR" />
    <result column="FAMC" property="famc" jdbcType="VARCHAR" />
    <result column="PZBM" property="pzbm" jdbcType="VARCHAR" />
    <result column="PZMC" property="pzmc" jdbcType="VARCHAR" />
    <result column="LSDJBM" property="lsdjbm" jdbcType="VARCHAR" />
    <result column="LSDJMC" property="lsdjmc" jdbcType="VARCHAR" />
    <result column="LSXZBM" property="lsxzbm" jdbcType="VARCHAR" />
    <result column="LSXZMC" property="lsxzmc" jdbcType="VARCHAR" />
    <result column="CFBH" property="cfbh" jdbcType="VARCHAR" />
    <result column="CFMC" property="cfmc" jdbcType="VARCHAR" />
    <result column="SSKDDM" property="sskddm" jdbcType="VARCHAR" />
    <result column="SSKDMC" property="sskdmc" jdbcType="VARCHAR" />
    <result column="SSQYDM" property="ssqydm" jdbcType="VARCHAR" />
    <result column="SSYQMC" property="ssyqmc" jdbcType="VARCHAR" />
    <result column="BGYBM" property="bgybm" jdbcType="VARCHAR" />
    <result column="BGYMC" property="bgymc" jdbcType="VARCHAR" />
    <result column="LDTJ" property="ldtj" jdbcType="DECIMAL" />
    <result column="KJTJ" property="kjtj" jdbcType="DECIMAL" />
    <result column="ZTJ" property="ztj" jdbcType="DECIMAL" />
    <result column="ZYCH" property="zych" jdbcType="VARCHAR" />
    <result column="HCMD" property="hcmd" jdbcType="VARCHAR" />
    <result column="XZFS" property="xzfs" jdbcType="VARCHAR" />
    <result column="YJMC" property="yjmc" jdbcType="VARCHAR" />
    <result column="YJCD" property="yjcd" jdbcType="VARCHAR" />
    <result column="SYFF" property="syff" jdbcType="VARCHAR" />
    <result column="MBFF" property="mbff" jdbcType="VARCHAR" />
    <result column="SDND" property="sdnd" jdbcType="VARCHAR" />
    <result column="CCSYSJ" property="ccsysj" jdbcType="TIMESTAMP" />
    <result column="CCDWJL" property="ccdwjl" jdbcType="VARCHAR" />
    <result column="CCYYL" property="ccyyl" jdbcType="VARCHAR" />
    <result column="HLSJ" property="hlsj" jdbcType="TIMESTAMP" />
    <result column="CCBYRQ" property="ccbyrq" jdbcType="VARCHAR" />
    <result column="CCBYL" property="ccbyl" jdbcType="VARCHAR" />
    <result column="ZHBYRQ" property="zhbyrq" jdbcType="VARCHAR" />
    <result column="ZHBYL" property="zhbyl" jdbcType="VARCHAR" />
    <result column="ZBYL" property="zbyl" jdbcType="VARCHAR" />
    <result column="ZYYL" property="zyyl" jdbcType="VARCHAR" />
    <result column="BYFF" property="byff" jdbcType="VARCHAR" />
    <result column="XZRS" property="xzrs" jdbcType="VARCHAR" />
    <result column="XZZHR" property="xzzhr" jdbcType="VARCHAR" />
    <result column="SYRS" property="syrs" jdbcType="VARCHAR" />
    <result column="XZCZR" property="xzczr" jdbcType="VARCHAR" />
    <result column="FHR" property="fhr" jdbcType="VARCHAR" />
    <result column="HLFJ" property="hlfj" jdbcType="VARCHAR" />
    <result column="SYSB" property="sysb" jdbcType="VARCHAR" />
    <result column="CFMBX" property="cfmbx" jdbcType="VARCHAR" />
    <result column="GKZYPT" property="gkzypt" jdbcType="VARCHAR" />
    <result column="LHQJCY" property="lhqjcy" jdbcType="VARCHAR" />
    <result column="LHQBJY" property="lhqbjy" jdbcType="VARCHAR" />
    <result column="CYY" property="cyy" jdbcType="VARCHAR" />
    <result column="KQHXQ" property="kqhxq" jdbcType="VARCHAR" />
    <result column="JJXJSP" property="jjxjsp" jdbcType="VARCHAR" />
    <result column="MHQ" property="mhq" jdbcType="VARCHAR" />
    <result column="JJX" property="jjx" jdbcType="VARCHAR" />
    <result column="SQKSSJ" property="sqkssj" jdbcType="TIMESTAMP" />
    <result column="SQJSSJ" property="sqjssj" jdbcType="TIMESTAMP" />
    <result column="SQFF" property="sqff" jdbcType="VARCHAR" />
    <result column="SQJSDQND" property="sqjsdqnd" jdbcType="VARCHAR" />
    <result column="YJCLL" property="yjcll" jdbcType="VARCHAR" />
    <result column="QYPYWD" property="qypywd" jdbcType="VARCHAR" />
    <result column="QYPYSD" property="qypysd" jdbcType="VARCHAR" />
    <result column="QYPYHCS" property="qypyhcs" jdbcType="VARCHAR" />
    <result column="LDSCXG" property="ldscxg" jdbcType="VARCHAR" />
    <result column="JCCLSJ" property="jcclsj" jdbcType="TIMESTAMP" />
    <result column="CLSCSWL" property="clscswl" jdbcType="VARCHAR" />
    <result column="XGFX" property="xgfx" jdbcType="VARCHAR" />
    <result column="ZYZT" property="zyzt" jdbcType="VARCHAR" />
    <result column="ZYJSSJ" property="zyjssj" jdbcType="TIMESTAMP" />
    <result column="XZQH" property="xzqh" jdbcType="VARCHAR" />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  	    <result column="SFBA" property="sfba" jdbcType="DECIMAL" />
   	  <result column="ZBYCS" property="zbycs" jdbcType="DECIMAL" />
   	  <result column="XZBAGZ" property="xzbagz" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Example_Where_Clause" >
    <where >
      <foreach collection="oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause" >
    <where >
      <foreach collection="example.oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List" >
    XZZYID, FABH, FAMC, PZBM, PZMC, LSDJBM, LSDJMC, LSXZBM, LSXZMC, CFBH, CFMC, SSKDDM, 
    SSKDMC, SSQYDM, SSYQMC, BGYBM, BGYMC, LDTJ, KJTJ, ZTJ, ZYCH, HCMD, XZFS, YJMC, YJCD, 
    SYFF, MBFF, SDND, CCSYSJ, CCDWJL, CCYYL, HLSJ, CCBYRQ, CCBYL, ZHBYRQ, ZHBYL, ZBYL, 
    ZYYL, BYFF, XZRS, XZZHR, SYRS, XZCZR, FHR, HLFJ, SYSB, CFMBX, GKZYPT, LHQJCY, LHQBJY, 
    CYY, KQHXQ, JJXJSP, MHQ, JJX, SQKSSJ, SQJSSJ, SQFF, SQJSDQND, YJCLL, QYPYWD, QYPYSD, 
    QYPYHCS, LDSCXG, JCCLSJ, CLSCSWL, XGFX, ZYZT, ZYJSSJ, XZQH, STATUS, CREATOR, CREATOR_CODE, 
    CREATE_DATE, REFRESHER, REFRESHER_CODE, REFRESH_TIME, REMARK,SFBA,ZBYCS,XZBAGZ
  </sql>

  <select id="selectAlls" resultMap="BaseResultMap">
    select 
    <include refid="Base_Column_List"></include>
     from TY_XZZYXX 
    <where>
		   STATUS=1  
		<if test="fabh != null and fabh != ''">
		   AND FABH = #{fabh,jdbcType=VARCHAR}
		</if>
		<if test="xzzyid != null and xzzyid != ''">
		   AND XZZYID = #{xzzyid,jdbcType=VARCHAR}
		</if>
		<if test="sskdmc != null and sskdmc != ''">
		   AND SSKDMC = #{sskdmc,jdbcType=VARCHAR}
		</if>
		<if test="pzmc != null and pzmc != ''">
		   AND PZMC = #{pzmc,jdbcType=VARCHAR}
		</if>
		<if test="cfmc != null and cfmc != ''">
		   AND CFMC = #{cfmc,jdbcType=VARCHAR}
		</if>
		<if test="xzfs != null and cfmc != ''">
		   AND XZFS = #{xzfs,jdbcType=VARCHAR}
		</if>
	</where>
		  ORDER BY CCBYRQ DESC
  </select>

  <!-- <select id="selectByExample" resultMap="BaseResultMap" parameterType="com.unis.base.server.example.TyXzzyxxExample" >
    select
    <if test="distinct" >
      distinct
    </if>
    <include refid="Base_Column_List" />
    from TY_XZZYXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null" >
      order by ${orderByClause}
    </if>
  </select> -->
  <!-- <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from TY_XZZYXX
    where XZZYID = #{xzzyid,jdbcType=VARCHAR}
  </select> -->
  <select id="selectByKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from TY_XZZYXX
    where XZZYID = #{xzzyid,jdbcType=VARCHAR}
  </select>
  <!-- <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from TY_XZZYXX
    where XZZYID = #{xzzyid,jdbcType=VARCHAR}
  </delete> -->
  <!-- <delete id="deleteByExample" parameterType="com.unis.base.server.example.TyXzzyxxExample" >
    delete from TY_XZZYXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </delete> -->
  <insert id="insert" parameterType="com.unis.base.server.entity.TyXzzyxxDO" >
    insert into TY_XZZYXX (XZZYID, FABH, FAMC, 
      PZBM, PZMC, LSDJBM, 
      LSDJMC, LSXZBM, LSXZMC, 
      CFBH, CFMC, SSKDDM, 
      SSKDMC, SSQYDM, SSYQMC, 
      BGYBM, BGYMC, LDTJ, 
      KJTJ, ZTJ, ZYCH, HCMD, 
      XZFS, YJMC, YJCD, SYFF, 
      MBFF, SDND, CCSYSJ, 
      CCDWJL, CCYYL, HLSJ, 
      CCBYRQ, CCBYL, ZHBYRQ, 
      ZHBYL, ZBYL, ZYYL, 
      BYFF, XZRS, XZZHR, 
      SYRS, XZCZR, FHR, HLFJ, 
      SYSB, CFMBX, GKZYPT, 
      LHQJCY, LHQBJY, CYY, 
      KQHXQ, JJXJSP, MHQ, 
      JJX, SQKSSJ, SQJSSJ, 
      SQFF, SQJSDQND, YJCLL, 
      QYPYWD, QYPYSD, QYPYHCS, 
      LDSCXG, JCCLSJ, CLSCSWL, 
      XGFX, ZYZT, ZYJSSJ, 
      XZQH, STATUS, CREATOR, 
      CREATOR_CODE, CREATE_DATE, REFRESHER, 
      REFRESHER_CODE, REFRESH_TIME, REMARK,SFBA,ZBYCS,XZBAGZ
      )
    values (#{xzzyid,jdbcType=VARCHAR}, #{fabh,jdbcType=VARCHAR}, #{famc,jdbcType=VARCHAR}, 
      #{pzbm,jdbcType=VARCHAR}, #{pzmc,jdbcType=VARCHAR}, #{lsdjbm,jdbcType=VARCHAR}, 
      #{lsdjmc,jdbcType=VARCHAR}, #{lsxzbm,jdbcType=VARCHAR}, #{lsxzmc,jdbcType=VARCHAR}, 
      #{cfbh,jdbcType=VARCHAR}, #{cfmc,jdbcType=VARCHAR}, #{sskddm,jdbcType=VARCHAR}, 
      #{sskdmc,jdbcType=VARCHAR}, #{ssqydm,jdbcType=VARCHAR}, #{ssyqmc,jdbcType=VARCHAR}, 
      #{bgybm,jdbcType=VARCHAR}, #{bgymc,jdbcType=VARCHAR}, #{ldtj,jdbcType=DECIMAL}, 
      #{kjtj,jdbcType=DECIMAL}, #{ztj,jdbcType=DECIMAL}, #{zych,jdbcType=VARCHAR}, #{hcmd,jdbcType=VARCHAR}, 
      #{xzfs,jdbcType=VARCHAR}, #{yjmc,jdbcType=VARCHAR}, #{yjcd,jdbcType=VARCHAR}, #{syff,jdbcType=VARCHAR}, 
      #{mbff,jdbcType=VARCHAR}, #{sdnd,jdbcType=VARCHAR}, #{ccsysj,jdbcType=TIMESTAMP}, 
      #{ccdwjl,jdbcType=VARCHAR}, #{ccyyl,jdbcType=VARCHAR}, #{hlsj,jdbcType=TIMESTAMP}, 
      #{ccbyrq,jdbcType=VARCHAR}, #{ccbyl,jdbcType=VARCHAR}, #{zhbyrq,jdbcType=VARCHAR}, 
      #{zhbyl,jdbcType=VARCHAR}, #{zbyl,jdbcType=VARCHAR}, #{zyyl,jdbcType=VARCHAR}, 
      #{byff,jdbcType=VARCHAR}, #{xzrs,jdbcType=VARCHAR}, #{xzzhr,jdbcType=VARCHAR}, 
      #{syrs,jdbcType=VARCHAR}, #{xzczr,jdbcType=VARCHAR}, #{fhr,jdbcType=VARCHAR}, #{hlfj,jdbcType=VARCHAR}, 
      #{sysb,jdbcType=VARCHAR}, #{cfmbx,jdbcType=VARCHAR}, #{gkzypt,jdbcType=VARCHAR}, 
      #{lhqjcy,jdbcType=VARCHAR}, #{lhqbjy,jdbcType=VARCHAR}, #{cyy,jdbcType=VARCHAR}, 
      #{kqhxq,jdbcType=VARCHAR}, #{jjxjsp,jdbcType=VARCHAR}, #{mhq,jdbcType=VARCHAR}, 
      #{jjx,jdbcType=VARCHAR}, #{sqkssj,jdbcType=TIMESTAMP}, #{sqjssj,jdbcType=TIMESTAMP}, 
      #{sqff,jdbcType=VARCHAR}, #{sqjsdqnd,jdbcType=VARCHAR}, #{yjcll,jdbcType=VARCHAR}, 
      #{qypywd,jdbcType=VARCHAR}, #{qypysd,jdbcType=VARCHAR}, #{qypyhcs,jdbcType=VARCHAR}, 
      #{ldscxg,jdbcType=VARCHAR}, #{jcclsj,jdbcType=TIMESTAMP}, #{clscswl,jdbcType=VARCHAR}, 
      #{xgfx,jdbcType=VARCHAR}, #{zyzt,jdbcType=VARCHAR}, #{zyjssj,jdbcType=TIMESTAMP}, 
      #{xzqh,jdbcType=VARCHAR}, #{status,jdbcType=DECIMAL}, #{creator,jdbcType=VARCHAR}, 
      #{creatorCode,jdbcType=VARCHAR}, #{createDate,jdbcType=TIMESTAMP}, #{refresher,jdbcType=VARCHAR}, 
      #{refresherCode,jdbcType=VARCHAR}, #{refreshTime,jdbcType=TIMESTAMP}, #{remark,jdbcType=VARCHAR},#{sfba,jdbcType=DECIMAL},#{zbycs,jdbcType=DECIMAL}
       ,#{xzbagz,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.unis.base.server.entity.TyXzzyxxDO" >
    insert into TY_XZZYXX
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="xzzyid != null" >
        XZZYID,
      </if>
      <if test="fabh != null" >
        FABH,
      </if>
      <if test="famc != null" >
        FAMC,
      </if>
      <if test="pzbm != null" >
        PZBM,
      </if>
      <if test="pzmc != null" >
        PZMC,
      </if>
      <if test="lsdjbm != null" >
        LSDJBM,
      </if>
      <if test="lsdjmc != null" >
        LSDJMC,
      </if>
      <if test="lsxzbm != null" >
        LSXZBM,
      </if>
      <if test="lsxzmc != null" >
        LSXZMC,
      </if>
      <if test="cfbh != null" >
        CFBH,
      </if>
      <if test="cfmc != null" >
        CFMC,
      </if>
      <if test="sskddm != null" >
        SSKDDM,
      </if>
      <if test="sskdmc != null" >
        SSKDMC,
      </if>
      <if test="ssqydm != null" >
        SSQYDM,
      </if>
      <if test="ssyqmc != null" >
        SSYQMC,
      </if>
      <if test="bgybm != null" >
        BGYBM,
      </if>
      <if test="bgymc != null" >
        BGYMC,
      </if>
      <if test="ldtj != null" >
        LDTJ,
      </if>
      <if test="kjtj != null" >
        KJTJ,
      </if>
      <if test="ztj != null" >
        ZTJ,
      </if>
      <if test="zych != null" >
        ZYCH,
      </if>
      <if test="hcmd != null" >
        HCMD,
      </if>
      <if test="xzfs != null" >
        XZFS,
      </if>
      <if test="yjmc != null" >
        YJMC,
      </if>
      <if test="yjcd != null" >
        YJCD,
      </if>
      <if test="syff != null" >
        SYFF,
      </if>
      <if test="mbff != null" >
        MBFF,
      </if>
      <if test="sdnd != null" >
        SDND,
      </if>
      <if test="ccsysj != null" >
        CCSYSJ,
      </if>
      <if test="ccdwjl != null" >
        CCDWJL,
      </if>
      <if test="ccyyl != null" >
        CCYYL,
      </if>
      <if test="hlsj != null" >
        HLSJ,
      </if>
      <if test="ccbyrq != null" >
        CCBYRQ,
      </if>
      <if test="ccbyl != null" >
        CCBYL,
      </if>
      <if test="zhbyrq != null" >
        ZHBYRQ,
      </if>
      <if test="zhbyl != null" >
        ZHBYL,
      </if>
      <if test="zbyl != null" >
        ZBYL,
      </if>
      <if test="zyyl != null" >
        ZYYL,
      </if>
      <if test="byff != null" >
        BYFF,
      </if>
      <if test="xzrs != null" >
        XZRS,
      </if>
      <if test="xzzhr != null" >
        XZZHR,
      </if>
      <if test="syrs != null" >
        SYRS,
      </if>
      <if test="xzczr != null" >
        XZCZR,
      </if>
      <if test="fhr != null" >
        FHR,
      </if>
      <if test="hlfj != null" >
        HLFJ,
      </if>
      <if test="sysb != null" >
        SYSB,
      </if>
      <if test="cfmbx != null" >
        CFMBX,
      </if>
      <if test="gkzypt != null" >
        GKZYPT,
      </if>
      <if test="lhqjcy != null" >
        LHQJCY,
      </if>
      <if test="lhqbjy != null" >
        LHQBJY,
      </if>
      <if test="cyy != null" >
        CYY,
      </if>
      <if test="kqhxq != null" >
        KQHXQ,
      </if>
      <if test="jjxjsp != null" >
        JJXJSP,
      </if>
      <if test="mhq != null" >
        MHQ,
      </if>
      <if test="jjx != null" >
        JJX,
      </if>
      <if test="sqkssj != null" >
        SQKSSJ,
      </if>
      <if test="sqjssj != null" >
        SQJSSJ,
      </if>
      <if test="sqff != null" >
        SQFF,
      </if>
      <if test="sqjsdqnd != null" >
        SQJSDQND,
      </if>
      <if test="yjcll != null" >
        YJCLL,
      </if>
      <if test="qypywd != null" >
        QYPYWD,
      </if>
      <if test="qypysd != null" >
        QYPYSD,
      </if>
      <if test="qypyhcs != null" >
        QYPYHCS,
      </if>
      <if test="ldscxg != null" >
        LDSCXG,
      </if>
      <if test="jcclsj != null" >
        JCCLSJ,
      </if>
      <if test="clscswl != null" >
        CLSCSWL,
      </if>
      <if test="xgfx != null" >
        XGFX,
      </if>
      <if test="zyzt != null" >
        ZYZT,
      </if>
      <if test="zyjssj != null" >
        ZYJSSJ,
      </if>
      <if test="xzqh != null" >
        XZQH,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
       <if test="zbycs != null" >
        ZBYCS,
      </if>
       <if test="xzbagz != null" >
         XZBAGZ,
        </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="xzzyid != null" >
        #{xzzyid,jdbcType=VARCHAR},
      </if>
      <if test="fabh != null" >
        #{fabh,jdbcType=VARCHAR},
      </if>
      <if test="famc != null" >
        #{famc,jdbcType=VARCHAR},
      </if>
      <if test="pzbm != null" >
        #{pzbm,jdbcType=VARCHAR},
      </if>
      <if test="pzmc != null" >
        #{pzmc,jdbcType=VARCHAR},
      </if>
      <if test="lsdjbm != null" >
        #{lsdjbm,jdbcType=VARCHAR},
      </if>
      <if test="lsdjmc != null" >
        #{lsdjmc,jdbcType=VARCHAR},
      </if>
      <if test="lsxzbm != null" >
        #{lsxzbm,jdbcType=VARCHAR},
      </if>
      <if test="lsxzmc != null" >
        #{lsxzmc,jdbcType=VARCHAR},
      </if>
      <if test="cfbh != null" >
        #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="sskddm != null" >
        #{sskddm,jdbcType=VARCHAR},
      </if>
      <if test="sskdmc != null" >
        #{sskdmc,jdbcType=VARCHAR},
      </if>
      <if test="ssqydm != null" >
        #{ssqydm,jdbcType=VARCHAR},
      </if>
      <if test="ssyqmc != null" >
        #{ssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="bgybm != null" >
        #{bgybm,jdbcType=VARCHAR},
      </if>
      <if test="bgymc != null" >
        #{bgymc,jdbcType=VARCHAR},
      </if>
      <if test="ldtj != null" >
        #{ldtj,jdbcType=DECIMAL},
      </if>
      <if test="kjtj != null" >
        #{kjtj,jdbcType=DECIMAL},
      </if>
      <if test="ztj != null" >
        #{ztj,jdbcType=DECIMAL},
      </if>
      <if test="zych != null" >
        #{zych,jdbcType=VARCHAR},
      </if>
      <if test="hcmd != null" >
        #{hcmd,jdbcType=VARCHAR},
      </if>
      <if test="xzfs != null" >
        #{xzfs,jdbcType=VARCHAR},
      </if>
      <if test="yjmc != null" >
        #{yjmc,jdbcType=VARCHAR},
      </if>
      <if test="yjcd != null" >
        #{yjcd,jdbcType=VARCHAR},
      </if>
      <if test="syff != null" >
        #{syff,jdbcType=VARCHAR},
      </if>
      <if test="mbff != null" >
        #{mbff,jdbcType=VARCHAR},
      </if>
      <if test="sdnd != null" >
        #{sdnd,jdbcType=VARCHAR},
      </if>
      <if test="ccsysj != null" >
        #{ccsysj,jdbcType=TIMESTAMP},
      </if>
      <if test="ccdwjl != null" >
        #{ccdwjl,jdbcType=VARCHAR},
      </if>
      <if test="ccyyl != null" >
        #{ccyyl,jdbcType=VARCHAR},
      </if>
      <if test="hlsj != null" >
        #{hlsj,jdbcType=TIMESTAMP},
      </if>
      <if test="ccbyrq != null" >
        #{ccbyrq,jdbcType=VARCHAR},
      </if>
      <if test="ccbyl != null" >
        #{ccbyl,jdbcType=VARCHAR},
      </if>
      <if test="zhbyrq != null" >
        #{zhbyrq,jdbcType=VARCHAR},
      </if>
      <if test="zhbyl != null" >
        #{zhbyl,jdbcType=VARCHAR},
      </if>
      <if test="zbyl != null" >
        #{zbyl,jdbcType=VARCHAR},
      </if>
      <if test="zyyl != null" >
        #{zyyl,jdbcType=VARCHAR},
      </if>
      <if test="byff != null" >
        #{byff,jdbcType=VARCHAR},
      </if>
      <if test="xzrs != null" >
        #{xzrs,jdbcType=VARCHAR},
      </if>
      <if test="xzzhr != null" >
        #{xzzhr,jdbcType=VARCHAR},
      </if>
      <if test="syrs != null" >
        #{syrs,jdbcType=VARCHAR},
      </if>
      <if test="xzczr != null" >
        #{xzczr,jdbcType=VARCHAR},
      </if>
      <if test="fhr != null" >
        #{fhr,jdbcType=VARCHAR},
      </if>
      <if test="hlfj != null" >
        #{hlfj,jdbcType=VARCHAR},
      </if>
      <if test="sysb != null" >
        #{sysb,jdbcType=VARCHAR},
      </if>
      <if test="cfmbx != null" >
        #{cfmbx,jdbcType=VARCHAR},
      </if>
      <if test="gkzypt != null" >
        #{gkzypt,jdbcType=VARCHAR},
      </if>
      <if test="lhqjcy != null" >
        #{lhqjcy,jdbcType=VARCHAR},
      </if>
      <if test="lhqbjy != null" >
        #{lhqbjy,jdbcType=VARCHAR},
      </if>
      <if test="cyy != null" >
        #{cyy,jdbcType=VARCHAR},
      </if>
      <if test="kqhxq != null" >
        #{kqhxq,jdbcType=VARCHAR},
      </if>
      <if test="jjxjsp != null" >
        #{jjxjsp,jdbcType=VARCHAR},
      </if>
      <if test="mhq != null" >
        #{mhq,jdbcType=VARCHAR},
      </if>
      <if test="jjx != null" >
        #{jjx,jdbcType=VARCHAR},
      </if>
      <if test="sqkssj != null" >
        #{sqkssj,jdbcType=TIMESTAMP},
      </if>
      <if test="sqjssj != null" >
        #{sqjssj,jdbcType=TIMESTAMP},
      </if>
      <if test="sqff != null" >
        #{sqff,jdbcType=VARCHAR},
      </if>
      <if test="sqjsdqnd != null" >
        #{sqjsdqnd,jdbcType=VARCHAR},
      </if>
      <if test="yjcll != null" >
        #{yjcll,jdbcType=VARCHAR},
      </if>
      <if test="qypywd != null" >
        #{qypywd,jdbcType=VARCHAR},
      </if>
      <if test="qypysd != null" >
        #{qypysd,jdbcType=VARCHAR},
      </if>
      <if test="qypyhcs != null" >
        #{qypyhcs,jdbcType=VARCHAR},
      </if>
      <if test="ldscxg != null" >
        #{ldscxg,jdbcType=VARCHAR},
      </if>
      <if test="jcclsj != null" >
        #{jcclsj,jdbcType=TIMESTAMP},
      </if>
      <if test="clscswl != null" >
        #{clscswl,jdbcType=VARCHAR},
      </if>
      <if test="xgfx != null" >
        #{xgfx,jdbcType=VARCHAR},
      </if>
      <if test="zyzt != null" >
        #{zyzt,jdbcType=VARCHAR},
      </if>
      <if test="zyjssj != null" >
        #{zyjssj,jdbcType=TIMESTAMP},
      </if>
      <if test="xzqh != null" >
        #{xzqh,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=VARCHAR},
      </if>
       <if test="zbycs != null" >
        #{zbycs,jdbcType=DECIMAL},
      </if>
       <if test="xzbagz != null" >
        #{xzbagz,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.unis.base.server.example.TyXzzyxxExample" resultType="java.lang.Integer" >
    select count(*) from TY_XZZYXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByPrimaryKey" parameterType="com.unis.base.server.entity.TyXzzyxxDO" >
    update TY_XZZYXX
    set FABH = #{fabh,jdbcType=VARCHAR},
      FAMC = #{famc,jdbcType=VARCHAR},
      PZBM = #{pzbm,jdbcType=VARCHAR},
      PZMC = #{pzmc,jdbcType=VARCHAR},
      LSDJBM = #{lsdjbm,jdbcType=VARCHAR},
      LSDJMC = #{lsdjmc,jdbcType=VARCHAR},
      LSXZBM = #{lsxzbm,jdbcType=VARCHAR},
      LSXZMC = #{lsxzmc,jdbcType=VARCHAR},
      CFBH = #{cfbh,jdbcType=VARCHAR},
      CFMC = #{cfmc,jdbcType=VARCHAR},
      SSKDDM = #{sskddm,jdbcType=VARCHAR},
      SSKDMC = #{sskdmc,jdbcType=VARCHAR},
      SSQYDM = #{ssqydm,jdbcType=VARCHAR},
      SSYQMC = #{ssyqmc,jdbcType=VARCHAR},
      BGYBM = #{bgybm,jdbcType=VARCHAR},
      BGYMC = #{bgymc,jdbcType=VARCHAR},
      LDTJ = #{ldtj,jdbcType=DECIMAL},
      KJTJ = #{kjtj,jdbcType=DECIMAL},
      ZTJ = #{ztj,jdbcType=DECIMAL},
      ZYCH = #{zych,jdbcType=VARCHAR},
      HCMD = #{hcmd,jdbcType=VARCHAR},
      XZFS = #{xzfs,jdbcType=VARCHAR},
      YJMC = #{yjmc,jdbcType=VARCHAR},
      YJCD = #{yjcd,jdbcType=VARCHAR},
      SYFF = #{syff,jdbcType=VARCHAR},
      MBFF = #{mbff,jdbcType=VARCHAR},
      SDND = #{sdnd,jdbcType=VARCHAR},
      CCSYSJ = #{ccsysj,jdbcType=TIMESTAMP},
      CCDWJL = #{ccdwjl,jdbcType=VARCHAR},
      CCYYL = #{ccyyl,jdbcType=VARCHAR},
      HLSJ = #{hlsj,jdbcType=TIMESTAMP},
      CCBYRQ = #{ccbyrq,jdbcType=VARCHAR},
      CCBYL = #{ccbyl,jdbcType=VARCHAR},
      ZHBYRQ = #{zhbyrq,jdbcType=VARCHAR},
      ZHBYL = #{zhbyl,jdbcType=VARCHAR},
      ZBYL = #{zbyl,jdbcType=VARCHAR},
      ZYYL = #{zyyl,jdbcType=VARCHAR},
      BYFF = #{byff,jdbcType=VARCHAR},
      XZRS = #{xzrs,jdbcType=VARCHAR},
      XZZHR = #{xzzhr,jdbcType=VARCHAR},
      SYRS = #{syrs,jdbcType=VARCHAR},
      XZCZR = #{xzczr,jdbcType=VARCHAR},
      FHR = #{fhr,jdbcType=VARCHAR},
      HLFJ = #{hlfj,jdbcType=VARCHAR},
      SYSB = #{sysb,jdbcType=VARCHAR},
      CFMBX = #{cfmbx,jdbcType=VARCHAR},
      GKZYPT = #{gkzypt,jdbcType=VARCHAR},
      LHQJCY = #{lhqjcy,jdbcType=VARCHAR},
      LHQBJY = #{lhqbjy,jdbcType=VARCHAR},
      CYY = #{cyy,jdbcType=VARCHAR},
      KQHXQ = #{kqhxq,jdbcType=VARCHAR},
      JJXJSP = #{jjxjsp,jdbcType=VARCHAR},
      MHQ = #{mhq,jdbcType=VARCHAR},
      JJX = #{jjx,jdbcType=VARCHAR},
      SQKSSJ = #{sqkssj,jdbcType=TIMESTAMP},
      SQJSSJ = #{sqjssj,jdbcType=TIMESTAMP},
      SQFF = #{sqff,jdbcType=VARCHAR},
      SQJSDQND = #{sqjsdqnd,jdbcType=VARCHAR},
      YJCLL = #{yjcll,jdbcType=VARCHAR},
      QYPYWD = #{qypywd,jdbcType=VARCHAR},
      QYPYSD = #{qypysd,jdbcType=VARCHAR},
      QYPYHCS = #{qypyhcs,jdbcType=VARCHAR},
      LDSCXG = #{ldscxg,jdbcType=VARCHAR},
      JCCLSJ = #{jcclsj,jdbcType=TIMESTAMP},
      CLSCSWL = #{clscswl,jdbcType=VARCHAR},
      XGFX = #{xgfx,jdbcType=VARCHAR},
      ZYZT = #{zyzt,jdbcType=VARCHAR},
      ZYJSSJ = #{zyjssj,jdbcType=TIMESTAMP},
      XZQH = #{xzqh,jdbcType=VARCHAR},
      STATUS = #{status,jdbcType=DECIMAL},
      CREATOR = #{creator,jdbcType=VARCHAR},
      CREATOR_CODE = #{creatorCode,jdbcType=VARCHAR},
      CREATE_DATE = #{createDate,jdbcType=TIMESTAMP},
      REFRESHER = #{refresher,jdbcType=VARCHAR},
      REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      REFRESH_TIME = #{refreshTime,jdbcType=TIMESTAMP},
      REMARK = #{remark,jdbcType=VARCHAR},
      SFBA=#{sfba,jdbcType=DECIMAL},
      ZBYCS=#{zbycs,jdbcType=DECIMAL},
      XZBAGZ=#{xzbagz,jdbcType=VARCHAR}
    where XZZYID = #{xzzyid,jdbcType=VARCHAR}
  </update>
  	<!--	更改备案状态-->
	<update id="updateFumigationOperationStatus" parameterType="java.util.Map">
		UPDATE TY_XZZYXX
		SET SFBA = #{sfba}
		where XZZYID = #{xzzyid}
	</update>
</mapper>